%global		__requires_exclude pear\\(PHPUnit/Framework.php\\) 
%define		_class		Math
%define		_subclass	Integer
%define		upstream_name	%{_class}_%{_subclass}
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear

Name:		php-pear-%{upstream_name}
Version:	0.9.0
Release:	%mkrel 7
Summary:        Package to represent and manipulate integers
License:        PHP
Group:          Development/PHP
URL:            http://pear.php.net/package/Math_Integer
Source0:        http://pear.php.net/get/Math_Integer-%{version}.tgz
BuildRequires:  php-pear >= 1.4.7
BuildArch:      noarch

%description
The class Math_Integer can represent integers bigger than the
signed longs that are the default of PHP, if either the GMP or
the BCMATH (bundled with PHP) are present. Otherwise it will fall
back to the internal integer representation.
The Math_IntegerOp class defines operations on Math_Integer objects.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Math_Integer.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Math_Integer.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Math_Integer
fi

%files
%{peardir}/*
%{xmldir}/Math_Integer.xml


%changelog
* Mon Feb 08 2016 umeabot <umeabot> 0.9.0-7.mga6
+ Revision: 943916
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.9.0-6.mga5
+ Revision: 747782
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 0.9.0-5.mga5
+ Revision: 734084
- rebuild for pear deps

* Tue Sep 16 2014 umeabot <umeabot> 0.9.0-4.mga5
+ Revision: 687345
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Mon Oct 21 2013 umeabot <umeabot> 0.9.0-3.mga4
+ Revision: 539688
- Mageia 4 Mass Rebuild

* Mon Oct 07 2013 spuhler <spuhler> 0.9.0-2.mga4
+ Revision: 492750
- added %%define _exceptions pear(PHPUnit/Framework.php)

* Sat Oct 05 2013 spuhler <spuhler> 0.9.0-1.mga4
+ Revision: 491965
- upgrade to version 0.9.0
- pearized spec file

* Sun Jan 13 2013 umeabot <umeabot> 0.8-13.mga3
+ Revision: 376878
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 29 2011 spuhler <spuhler> 0.8-12.mga1
+ Revision: 43380
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Math_Integer


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.8-12mdv2011.0
+ Revision: 613712
- the mass rebuild of 2010.1 packages

* Wed Nov 25 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.8-11mdv2010.1
+ Revision: 470156
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.8-10mdv2010.0
+ Revision: 441302
- rebuild

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.8-9mdv2009.1
+ Revision: 322363
- rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 0.8-8mdv2009.0
+ Revision: 236935
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.8-7mdv2008.1
+ Revision: 136408
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.8-7mdv2007.0
+ Revision: 82123
- Import php-pear-Math_Integer

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.8-7mdk
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8-1mdk
- initial Mandriva package (PLD import)

